/*
 *  This file if part of nzbget
 *
 *  Copyright (C) 2004  Sven Henkel <sidddy@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Revision: 1.2 $
 * $Date: 2004/03/30 15:47:07 $
 *
 */


#ifndef CONNECTION_H
#define CONNECTION_H

#include <sys/socket.h>
#include <sys/types.h>
#include <stdio.h>

#include "Server.h"

#define CONNECTION_STATUS_CONNECTED 1
#define CONNECTION_STATUS_DISCONNECTED 2

class Connection
{
 public:

    Connection(Server* server);

    virtual ~Connection();

    int connect();

    int disconnect();

    int write(char* text);

    char* readLine();

    Server* getServer() { return this->server; }

 protected:

    virtual int doConnect();

    virtual int doDisconnect();

    virtual int doWrite(char* text);

    virtual char* doReadLine();

    Server* server;

    int socket;

    int status;

    FILE* fbuffer;

    int bufferLength;

    int bufferPos;

    char readBuffer[10240];
    
};

#endif
