/*
 *  This file if part of nzbget
 *
 *  Copyright (C) 2004  Sven Henkel <sidddy@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Revision: 1.5 $
 * $Date: 2004/03/30 12:21:03 $
 *
 */


#ifndef NZBQUEUE_H
#define NZBQUEUE_H

#include <libxml/parser.h>
#include <vector>

#include "Queue.h"


class NZBQueue : public Queue
{
 public:
    
    NZBQueue(xmlDocPtr nzbdoc);

    virtual ~NZBQueue();

    virtual Job* getNextJob();

    virtual long long getWaitingSize();

 protected:

    std::vector<Job*> jobs;

    void parseNZB(xmlDocPtr nzb);

    void parseFile(xmlNodePtr segments);

    void parseSegment(xmlNodePtr node, std::vector<char*>* idlist, long long* size);

    void parseGroup(xmlNodePtr node, std::vector<char*>* grouplist);
    
};

#endif
