/*
 *  This file if part of nzbget
 *
 *  Copyright (C) 2004  Sven Henkel <sidddy@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Revision: 1.2 $
 * $Date: 2004/03/30 15:47:07 $
 *
 */


#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <string.h>
#include <stdlib.h>

#include "Server.h"
#include "global.h"

Server::Server(char* host, int port)
{
  this->host = NULL;
  this->setHost(host);
  this->setPort(port);
}

Server::~Server()
{
  free(this->host);
  this->host = NULL;
}

void Server::setHost(char* v)
{
  if (this->host)
    free(this->host);
  if (v)
    this->host = strdup(v);
  else
    this->host = v;
}

void Server::setPort(int v)
{
  this->port = v;
}


char* Server::getHost()
{
  return this->host;
}

int Server::getPort()
{
  return this->port;
}
