/*
 *  This file if part of nzbget
 *
 *  Copyright (C) 2004  Sven Henkel <sidddy@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Revision: 1.1 $
 * $Date: 2004/02/24 11:05:48 $
 *
 */

#ifndef SINGLESERVERPOOL_H
#define SINGLESERVERPOOL_H

#include <vector>
#include <pthread.h>

#include "NewsServer.h"
#include "NNTPConnection.h"

class SingleServerPool 
{
 public:

    SingleServerPool();

    SingleServerPool(NewsServer* s, int max);

    NNTPConnection* getConnection();

    void freeConnection(NNTPConnection* con);

 private:

    int getID();
    
    NewsServer* server;

    int max;

    std::vector< NNTPConnection* > connections;

    std::vector< int > queue;

    std::vector< int > free;

    int id;

    pthread_mutex_t mutex_queue;

    pthread_mutex_t mutex_free;
    
};

#endif
