/*
 *  This file if part of nzbget
 *
 *  Copyright (C) 2004  Sven Henkel <sidddy@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Revision: 1.4 $
 * $Date: 2004/03/30 12:21:03 $
 *
 */


#include <pthread.h>
#include <stdio.h>

#include "global.h"
#include "Thread.h"

int threadCount = 0;

Thread::Thread()
{
  //  debug("Thread()");
  pthread_attr_init(&this->attr);
  pthread_attr_setscope(&this->attr, PTHREAD_SCOPE_PROCESS);
  //pthread_attr_setdetachstate(&this->attr, PTHREAD_CREATE_JOINABLE);
  pthread_attr_setdetachstate(&this->attr, PTHREAD_CREATE_DETACHED);
  pthread_attr_setinheritsched(&this->attr, PTHREAD_INHERIT_SCHED);
  this->runFlag = false;
}

Thread::~Thread()
{
  debug("~Thread()");
  //  this->stop();
}

void Thread::start()
{
  this->runFlag = true;
  this->runFlag = !pthread_create(&this->thread,
				  &this->attr,
				  Thread::thread_handler, (void *) this);
}

void Thread::stop()
{
  this->runFlag = false;
  threadCount--;
  //pthread_cancel(this->thread);
  //pthread_join(this->thread, NULL);
  pthread_exit(NULL);
}

void *Thread::thread_handler(void *obj)
{
  threadCount++;
  if (obj)
    ((Thread *) obj)->run();
  return NULL;
}
